Summary: Next generation panel for Xfce
Name: xfce4-panel
Version: 4.4.2
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.4.2/src/xfce4-panel-4.4.2.tar.bz2
Patch0: xfce4-panel-4.4.1-multilib.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: libxfcegui4 >= %{version}
Requires: libxfce4mcs >= %{version}
Requires: xfce-mcs-manager >= %{version}
Requires: libxml2 >= 2.4.0
Requires: Terminal
Requires: mousepad
Requires: xfce4-icon-theme
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: startup-notification-devel
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: gettext
# xfce4-iconbox isn't in Xfce 4.4
Provides: xfce4-iconbox = %{version}-%{release}
Obsoletes: xfce4-iconbox <= 4.2.3-4.fc6
# xfce4-systray isn't in Xfce 4.4
Provides: xfce4-systray = %{version}-%{release}
Obsoletes: xfce4-systray <= 4.2.3-3.fc6
# xfce4-toys isn't in Xfce 4.4
Provides: xfce4-toys = %{version}-%{release}
Obsoletes: xfce4-toys <= 4.2.3-3.fc6
# xfce4-trigger-launcher isn't in Xfce 4.4
Provides: xfce4-trigger-launcher = %{version}-%{release}
Obsoletes: xfce4-trigger-launcher <= 4.2.3-3.fc6
# xfce4-showdesktop-plugin isn't in Xfce 4.4
Provides: xfce4-showdesktop-plugin = %{version}-%{release}
Obsoletes: xfce4-showdesktop-plugin <= 0.4.0-7.fc6
# xfce4-taskbar-plugin isn't in Xfce 4.4
Provides: xfce4-taskbar-plugin = %{version}-%{release}
Obsoletes: xfce4-taskbar-plugin <= 0.2.2-7.fc6
# xfce4-windowlist-plugin isn't in Xfce 4.4
Provides: xfce4-windowlist-plugin = %{version}-%{release}
Obsoletes: xfce4-windowlist-plugin <= 0.1.0-7.fc6

%description
This package includes the panel for the Xfce desktop environment.

%package devel
Summary: Development headers for xfce4-panel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: libxfce4util-devel = %{version}
Requires: libxfcegui4-devel = %{version}

%description devel
This package includes the header files you will need to build
plugins for xfce4-panel.

%prep
%setup -q

%patch0 -p1 

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/panel-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT/%{_libexecdir}/xfce4/panel-plugins
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/xfce4/panel-plugins
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT
                                                                                          
%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS COPYING AUTHORS
%dir %{_sysconfdir}/xdg/xfce4/
%dir %{_sysconfdir}/xdg/xfce4/panel/
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/launcher-10.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/panels.xml
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/xfce4-menu-5.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/launcher-9.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/clock-14.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/launcher-7.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/systray-4.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/launcher-8.rc

%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/libxfce4panel.so.*
%{_bindir}/*
%{_libexecdir}/xfce4/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/xfce4/doc/C/xfce4-panel.html
%{_datadir}/xfce4/doc/C/images/
%{_datadir}/xfce4/panel-plugins/
%{_datadir}/applications/xfce4-panel-manager.desktop

%files devel
%defattr(-, root,root,-)
%{_libdir}/pkgconfig/*
%{_libdir}/libxfce4panel.so
%{_datadir}/gtk-doc/html/libxfce4panel
%{_includedir}/xfce4/libxfce4panel

%changelog
* Sun Dec  2 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2 (fixes 382471)
- Drop Provides/Obsoletes for xfce4-modemlights-plugin to come back.

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-4
- Update License tag

* Mon Jul 30 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Own %%{_datadir}/xfce4/

* Wed Jun  6 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Fix multilib issues. Bug #228168

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Upgrade to 4.4.1

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own %%{_libexecdir}/xfce4/
- Do not own %%{_libdir}/xfce4/mcs-plugins

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Upgrade to 4.4.0

* Sat Nov 11 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-2
- Require xfce4-icon-theme. 

* Thu Nov  9 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Fri Oct  6 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-7
- List full old versions in Obsoletes

* Fri Oct  6 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-6
- Tweak Obsolete versions

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Add Requires libxfcegui4-devel to devel package

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Add period to description
- Fix defattr
- Add gtk-update-icon-cache in post/postun

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Add Requires for mousepad and Terminal
- Bump for devel checkin

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Obsolete some more plugins who's functionality has been pulled in. 
- Own the libexecdir/xfce4/panel-plugins for new plugins. 

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Update to 4.3.99.1
- Add Provides/Obsoletes for xfce4-iconbox, xfce4-systray, xfce4-toys, xfce4-trigger-launcher
- Fix typo in devel subpackage summary
- Add post/postun ldconfig calls

* Thu Aug 24 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-2
- fix .so in main package
- add Requires for libxfce4util-devel
- don't own includedir/xfce4 (libxfce4util-devel should)

* Tue Jul 11 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2
- Upgrade to 4.3.90.2

* Thu Apr 27 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1.fc6
- Upgrade to 4.3.90.1

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- added imake and libXt-devel BuildRequires for modular xorg

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag
- Tweaked panel-htmlview patch to add - in translation

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-4.fc4
- lowercase Release

* Thu Mar 24 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-3.FC4
- Added htmlview patch
- Removed unneeded la/a files

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1.1-2
- remove stuff

* Thu Mar 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-1
- Updated to 4.2.1.1 version
- Changed Requires/Buildrequires to 4.2.1, as xfce4-panel was the only package updated to 4.2.1.1

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-4
- Fixed case of Xfce

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Created a new patch to change mozilla -mail to launchmail
- Moved the includes to the devel subpackage

* Thu Feb 03 2005 Than Ngo <than@redhat.com> 4.2.0-2
- new sub package xfce4-panel-devel

* Tue Jan 25 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.0.6-2 
- add patch to use lauchmail/htmlview #142160

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- remove some unneeded patch files

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 01 2004 Than Ngo <than@redhat.com> 4.0.5-4
- add buildrequires on startup-notification-devel, bug #124948
- use %%find_lang macros, bug #124948

* Mon May 31 2004 Than Ngo <than@redhat.com> 4.0.5-3
- own %%{_libdir}i/xfce4, bug #124826

* Mon Apr 26 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Change more defaults for fedora, use startup notification
  by default, remove "-splash" option from mozilla launcher. Thanks to Olivier Fourdan
- Patch to avoid crash at startup under some rare circumstances
- Change defaults for fedora

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

